#
# spec file for package netconsole-tools (Version 20030909)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           netconsole-tools
Version:        20030909
Release:        lp150.134.3
Group:          System/Kernel
License:        SUSE-Public-Domain
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Configure netconsole Kernel Module
Source0:        netconsole-server.sh
Source2:        netlogging.txt

%description
netconsole is a kernel feature to log the dmesg output via the network.
The used network driver must support the polling function.

netconsole-server is a wrapper for insmod to load netconsole.o with the
correct options. Use netcat on the client side to receive the kernel
messages.



Authors:
--------
    Ingo Molnar <mingo@redhat.com>
    Andreas Dilger <adilger@turbolinux.com>
    Matt Mackall <mpm@selenic.com>

%prep
cp -av %{S:2} netlogging.txt

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
cp -av %{S:0} $RPM_BUILD_ROOT/sbin/netconsole-server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc netlogging.txt
%attr(755,root,root) /sbin/netconsole-server

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun  6 2005 olh@suse.de
- add an option to change the kernel loglevel of netconsole
* Wed Jun  1 2005 olh@suse.de
- build as noarch
* Wed Jun  1 2005 olh@suse.de
- update netconsole-server script to deal with 2.6 syntax
* Fri May  9 2003 olh@suse.de
- fflush(stdout); for pipes
* Fri May  9 2003 olh@suse.de
- initial package with netconsole-client-20010928.tar.gz and netcon
